Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
TiXmlAttribute Class Reference

An attribute is a name-value pair. More...

`#include "tinyxml.h"`

Inheritance diagram for TiXmlAttribute:

## Public Member Functions
| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
double | DoubleValue () const
| Return the value of this attribute, converted to a double.
int | IntValue () const
| Return the value of this attribute, converted to an integer.
const char * | Name () const
| Return the name of this attribute.
const TiXmlString & | NameTStr () const
TiXmlAttribute * | Next ()
const TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data, TiXmlEncoding encoding)
TiXmlAttribute * | Previous ()
const TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
virtual void | Print (FILE *cfile, int depth) const
| All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.
void | Print (FILE *cfile, int depth, TiXmlString *str) const
int | QueryDoubleValue (double *_value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
int | QueryIntValue (int *_value) const
| QueryIntValue examines the value string.
void | SetDocument (TiXmlDocument *doc)
void | SetDoubleValue (double _value)
| Set the value from a double.
void | SetIntValue (int _value)
| Set the value from an integer.
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
const char * | Value () const
| Return the value of this attribute.
Public Member Functions inherited from TiXmlBase
int | Column () const
| See Row()
void * | GetUserData ()
| Get a pointer to arbitrary user data.
const void * | GetUserData () const
| Get a pointer to arbitrary user data.
int | Row () const
| Return the position, in the original source file, of this node or attribute.
void | SetUserData (void *user)
| Set a pointer to arbitrary user data.

## Friends
class | TiXmlAttributeSet

## Additional Inherited Members
Public Types inherited from TiXmlBase
enum | { TIXML_NO_ERROR = 0 , TIXML_ERROR , TIXML_ERROR_OPENING_FILE , TIXML_ERROR_PARSING_ELEMENT , TIXML_ERROR_FAILED_TO_READ_ELEMENT_NAME , TIXML_ERROR_READING_ELEMENT_VALUE , TIXML_ERROR_READING_ATTRIBUTES , TIXML_ERROR_PARSING_EMPTY , TIXML_ERROR_READING_END_TAG , TIXML_ERROR_PARSING_UNKNOWN , TIXML_ERROR_PARSING_COMMENT , TIXML_ERROR_PARSING_DECLARATION , TIXML_ERROR_DOCUMENT_EMPTY , TIXML_ERROR_EMBEDDED_NULL , TIXML_ERROR_PARSING_CDATA , TIXML_ERROR_DOCUMENT_TOP_ONLY , TIXML_ERROR_STRING_COUNT }
Static Public Member Functions inherited from TiXmlBase
static void | EncodeString (const TiXmlString &str, TiXmlString *out)
| Expands entities in a string.
static bool | IsWhiteSpaceCondensed ()
| Return the current white space setting.
static void | SetCondenseWhiteSpace (bool condense)
| The world does not agree on whether white space should be kept or not.
Static Public Attributes inherited from TiXmlBase
static const int | utf8ByteTable [256]

## Detailed Description

An attribute is a name-value pair.

Elements have an arbitrary number of attributes, each with a unique name.

Note
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

Definition at line 779 of file tinyxml.h.

## Constructor & Destructor Documentation

## ◆ TiXmlAttribute() [1/2]

TiXmlAttribute::TiXmlAttribute | ( |  | ) |
| inline

Construct an empty attribute.

Definition at line 785 of file tinyxml.h.

Referenced by Next(), and Previous().

## ◆ TiXmlAttribute() [2/2]

TiXmlAttribute::TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value )
| inline

Construct an attribute with a name and value.

Definition at line 803 of file tinyxml.h.

## Member Function Documentation

## ◆ DoubleValue()

double TiXmlAttribute::DoubleValue | ( |  | ) | const

Return the value of this attribute, converted to a double.

Definition at line 1254 of file tinyxml.cpp.

## ◆ IntValue()

int TiXmlAttribute::IntValue | ( |  | ) | const

Return the value of this attribute, converted to an integer.

Definition at line 1249 of file tinyxml.cpp.

## ◆ Name()

const char * TiXmlAttribute::Name | ( |  | ) | const
| inline

Return the name of this attribute.

Definition at line 811 of file tinyxml.h.

## ◆ NameTStr()

const TiXmlString & TiXmlAttribute::NameTStr | ( |  | ) | const
| inline

Definition at line 820 of file tinyxml.h.

## ◆ Next() [1/2]

TiXmlAttribute * TiXmlAttribute::Next | ( |  | ) |
| inline

Definition at line 850 of file tinyxml.h.

## ◆ Next() [2/2]

const TiXmlAttribute * TiXmlAttribute::Next | ( |  | ) | const

Get the next sibling attribute in the DOM. Returns null at end.

Definition at line 1147 of file tinyxml.cpp.

References TiXmlAttribute().

Referenced by TiXmlElement::Print(), and TiXmlPrinter::VisitEnter().

## ◆ operator<()

bool TiXmlAttribute::operator< | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Definition at line 861 of file tinyxml.h.

## ◆ operator==()

bool TiXmlAttribute::operator== | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Definition at line 860 of file tinyxml.h.

## ◆ operator>()

bool TiXmlAttribute::operator> | ( | const TiXmlAttribute & | rhs | ) | const
| inline

Definition at line 862 of file tinyxml.h.

## ◆ Parse()

const char * TiXmlAttribute::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data,
|  | TiXmlEncoding | encoding )
| virtual

Implements TiXmlBase.

Definition at line 1390 of file tinyxmlparser.cpp.

## ◆ Previous() [1/2]

TiXmlAttribute * TiXmlAttribute::Previous | ( |  | ) |
| inline

Definition at line 856 of file tinyxml.h.

## ◆ Previous() [2/2]

const TiXmlAttribute * TiXmlAttribute::Previous | ( |  | ) | const

Get the previous sibling attribute in the DOM. Returns null at beginning.

Definition at line 1167 of file tinyxml.cpp.

References TiXmlAttribute().

## ◆ Print()

virtual void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth ) const
| inline virtual

All TinyXml classes can print themselves to a filestream or the string class (TiXmlString in non-STL mode, std::string in STL mode.) Either or both cfile and str can be null.

This is a formatted print, and will insert tabs and newlines.

(For an unformatted stream, use the << operator.)

Implements TiXmlBase.

Definition at line 870 of file tinyxml.h.

References Print().

Referenced by Print(), TiXmlElement::Print(), and TiXmlPrinter::VisitEnter().

## ◆ QueryDoubleValue()

int TiXmlAttribute::QueryDoubleValue | ( | double * | _value | ) | const

QueryDoubleValue examines the value string. See QueryIntValue().

Definition at line 1220 of file tinyxml.cpp.

Referenced by TiXmlElement::Attribute(), and TiXmlElement::QueryDoubleAttribute().

## ◆ QueryIntValue()

int TiXmlAttribute::QueryIntValue | ( | int * | _value | ) | const

QueryIntValue examines the value string.

It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE.

A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

Definition at line 1213 of file tinyxml.cpp.

Referenced by TiXmlElement::Attribute(), and TiXmlElement::QueryIntAttribute().

## ◆ SetDocument()

void TiXmlAttribute::SetDocument | ( | TiXmlDocument * | doc | ) |
| inline

Definition at line 877 of file tinyxml.h.

## ◆ SetDoubleValue()

void TiXmlAttribute::SetDoubleValue | ( | double | _value | ) |

Set the value from a double.

Definition at line 1238 of file tinyxml.cpp.

References SetValue().

Referenced by TiXmlElement::SetDoubleAttribute().

## ◆ SetIntValue()

void TiXmlAttribute::SetIntValue | ( | int | _value | ) |

Set the value from an integer.

Definition at line 1227 of file tinyxml.cpp.

References SetValue().

Referenced by TiXmlElement::SetAttribute().

## ◆ SetName()

void TiXmlAttribute::SetName | ( | const char * | _name | ) |
| inline

Set the name of this attribute.

Definition at line 835 of file tinyxml.h.

## ◆ SetValue()

void TiXmlAttribute::SetValue | ( | const char * | _value | ) |
| inline

Set the value.

Definition at line 836 of file tinyxml.h.

Referenced by TiXmlElement::SetAttribute(), SetDoubleValue(), and SetIntValue().

## ◆ Value()

const char * TiXmlAttribute::Value | ( |  | ) | const
| inline

Return the value of this attribute.

Definition at line 812 of file tinyxml.h.

Referenced by TiXmlElement::Attribute(), TiXmlElement::Attribute(), and TiXmlElement::Attribute().

## Friends And Related Symbol Documentation

## ◆ TiXmlAttributeSet

friend class TiXmlAttributeSet
| friend

Definition at line 781 of file tinyxml.h.

The documentation for this class was generated from the following files:

- panda/src/dxml/tinyxml.h
- panda/src/dxml/tinyxml.cpp
- panda/src/dxml/tinyxmlparser.cpp